VIEWIMG_CREATE_SEQUENCE(3)

FUNCTION
viewimg_create_sequence - Create a sequence of viewable images from a 3D slice.

SYNOPSIS
#include <karma_viewimg.h>

ViewableImage * viewimg_create_sequence

(KWorldCanvas canvas, multi_array *multi_desc, array_desc *arr_desc, char *cube, unsigned int hdim, unsigned int vdim, unsigned int fdim, unsigned int elem_index)

DESCRIPTION
This routine will create a sequence of viewable image objects from a 3-dimensional cube of a Karma data structure. At a later time, this sequence of viewable images may be made visible in any order. This routine will not cause the canvas to be refreshed.

canvas
    The world canvas object.

multi_desc
    The multi_array descriptor which contains the Karma data structure. The routine increments the attachment count on the descriptor on successful completion. This may be NULL.

arr_desc
    The array descriptor.

cube
    The start of the cube data.

hdim
    The dimension index of the horizontal dimension.

vdim
    The dimension index of the vertical dimension.

fdim
    The dimension index of the frame dimension (dimension containing the sequence). The number of frames is the same as the length of this dimension.

elem_index
    The element index in the data packets.

RETURN VALUE
A pointer to a dynamically allocated array of viewable image objects on success, else NULL.

Multi-threading Level
Unsafe.

NOTES
The routine may produce cache data which will vastly increase the speed of subsequent operations on this data. Prior to process exit, a call MUST be made to <-viewimg_destroy->, otherwise shared memory segments could remain after the process exits.

The ViewableImage objects will be automatically destroyed if the canvas is destroyed.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/